=== debian/control ===
Source: ppl-gcc4
Section: libs
Priority: optional
Maintainer: Michael Tautschnig <mt@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 6.0.7~), dh-autoreconf,
 g++-4.7 [!ppc64el],
 libgmpv4-dev, chrpath,
 libncurses5-dev, libncursesw5-dev
#Build-Depends-Indep: doxygen-latex, graphviz, poppler-utils, ghostscript, texlive-math-extra
Homepage: http://www.cs.unipr.it/ppl/

Package: libpplv4-13
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parma Polyhedra Library (runtime library)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.

Package: libpplv4-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: libpplv4-13 (= ${binary:Version}), libpplv4-c4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libppl0.10-dev, libppl0.11-dev, libppl0.12-dev, libppl-dev
Suggests: libppl-doc
Description: Parma Polyhedra Library (development)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.
 .
 This package provides the header files and static libraries for the
 C and C++ interfaces.

Package: libpplv4-c4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpplv4-13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Parma Polyhedra Library (C interface)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.
 .
 This package provides the C interface.
